Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 102384 - App Client project doesn't use GlassFish JAX-WS JARs
App Client project doesn't use GlassFish JAX-WS JARs
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Code
5.x
All All
: P2 (vote)
: TBD
Assigned To: issues@webservices
issues@webservices
release551_fixes_candidate, release55...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 19:20 UTC by ievans
Modified: 2008-03-12 16:48 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch for release551 branch (4.41 KB, text/plain)
2007-05-29 17:52 UTC, Lukas Jungmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ievans 2007-04-24 19:20:31 UTC
The build-impl.xsl of the app client project takes the IDE's internal JARs when
invoking the wsimport ant task. All the other EE projects (EJB and Web) take the
JARs from GlassFish.

If you use 5.5.1 with GlassFish 1.0/App Server 9.0 (which uses JAX-WS 2.0) the
generated artifacts use the IDE's internal JAX-WS JARs, which are 2.1. Thus the
client fails to compile.
Comment 1 Lukas Jungmann 2007-05-29 17:52:58 UTC
Created attachment 42907 [details]
patch for release551 branch
Comment 2 Lukas Jungmann 2007-05-29 18:02:48 UTC
Attached is patch which solves this issue in 5.5.1 branch.
Comment 3 pgebauer 2007-05-30 14:39:26 UTC
The issue has been fixed in the trunk already and this is the back-port into the
release551_fixes branch.

Checking in api/AppClientProjectGenerator.java;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/api/AppClientProjectGenerator.java,v
 <--  AppClientProjectGenerator.java
new revision: 1.1.4.21.16.1; previous revision: 1.1.4.21
done
Checking in ui/customizer/AppClientProjectProperties.java;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/ui/customizer/AppClientProjectProperties.java,v
 <--  AppClientProjectProperties.java
new revision: 1.1.4.20.16.1; previous revision: 1.1.4.20
done
Checking in resources/build-impl.xsl;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/resources/build-impl.xsl,v
 <--  build-impl.xsl
new revision: 1.1.4.25.8.5.4.1; previous revision: 1.1.4.25.8.5
done
Comment 4 Michal Mocnak 2007-06-05 14:59:34 UTC
verified
Comment 5 ievans 2007-06-15 03:38:19 UTC
Fix doesn't work with 9.0/GlassFish v1 because the wsimport ant task in JAX-WS 2.0 doesn't support the xendorsed
attribute. The following is the output from the simpleclient Java EE 5 tutorial example:

Getting: http://localhost:8080/helloservice/HelloService?wsdl
To:
C:\working\jsstutorials\examples\jaxws\simpleclient\src\conf\xml-resources\web-service-references\HelloService\wsdl\localhost_8080\helloservice\HelloService.wsdl
init:
deps-clean:
Deleting directory C:\working\jsstutorials\examples\jaxws\simpleclient\build
clean:
Getting: http://localhost:8080/helloservice/HelloService?wsdl
To:
C:\working\jsstutorials\examples\jaxws\simpleclient\src\conf\xml-resources\web-service-references\HelloService\wsdl\localhost_8080\helloservice\HelloService.wsdl
init:
deps-jar:
wsimport-init:
Created dir: C:\working\jsstutorials\examples\jaxws\simpleclient\build\generated\wsimport\client
Created dir: C:\working\jsstutorials\examples\jaxws\simpleclient\build\generated\wsimport\binaries
wsimport-client-check-HelloService:
wsimport-client-HelloService:
C:\working\jsstutorials\examples\jaxws\simpleclient\nbproject\build-impl.xml:324: The <wsimport> type doesn't support
the "xendorsed" attribute.
        at org.apache.tools.ant.IntrospectionHelper.setAttribute(IntrospectionHelper.java:389)
        at org.apache.tools.ant.RuntimeConfigurable.maybeConfigure(RuntimeConfigurable.java:370)
        at org.apache.tools.ant.RuntimeConfigurable.maybeConfigure(RuntimeConfigurable.java:324)
        at org.apache.tools.ant.Task.maybeConfigure(Task.java:254)
        at org.apache.tools.ant.UnknownElement.configure(UnknownElement.java:189)
        at org.apache.tools.ant.UnknownElement.maybeConfigure(UnknownElement.java:158)
        at org.apache.tools.ant.Task.perform(Task.java:363)
        at org.apache.tools.ant.Target.execute(Target.java:341)
        at org.apache.tools.ant.Target.performTasks(Target.java:369)
        at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1216)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1185)
        at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:40)
        at org.apache.tools.ant.Project.executeTargets(Project.java:1068)
        at org.apache.tools.ant.module.bridge.impl.BridgeImpl.run(BridgeImpl.java:240)
        at org.apache.tools.ant.module.run.TargetExecutor.run(TargetExecutor.java:293)
        at org.netbeans.core.execution.RunClassThread.run(RunClassThread.java:131)
BUILD FAILED (total time: 2 seconds)

The relevant section of build-impl.xml is:
    <target name="wsimport-client-HelloService" depends="wsimport-init,wsimport-client-check-HelloService"
unless="wsimport-client-HelloService.notRequired">
        <wsimport xendorsed="true" extension="true" sourcedestdir="${build.generated.dir}/wsimport/client"
destdir="${build.generated.dir}/wsimport/binaries"
wsdl="${basedir}/${meta.inf}/xml-resources/web-service-references/HelloService/wsdl/localhost_8080/helloservice/HelloService.wsdl"
wsdlLocation="http://localhost:8080/helloservice/HelloService?wsdl" catalog="catalog.xml"/>
        <copy todir="${classes.dir}">
            <fileset dir="${build.generated.dir}/wsimport/binaries" includes="**/*.xml"/>
        </copy>
    </target> 

JAX-WS 2.0 environments must have a different target, with a wsimport task that doesn't use xendorsed.
Comment 6 Petr Jiricka 2007-06-15 12:45:12 UTC
Assigning to the websvc component.
Comment 7 Lukas Jungmann 2007-06-18 19:53:15 UTC
that's a different issue, let's track it separately as issue 107072.
Comment 8 Jaroslav Pospisil 2008-03-12 16:48:47 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo